Kerbal Space Program - Bug #5986

IVA atmospheric gauge still refering to the old atmo model
11/22/2015 09:56 PM - Taryk52

Status: Needs Clarification Start date: 11/22/2015
Severity: Very Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

It seems like the atmosphere gauge in IVA view is still showing the old atmo model. This can be quite disruptive, since the
atmospheric model has been reworked many times. This bug is possibly also included in 1.0.5.

Both of the attached screenshots show the same vessel in the relatively same altitude, but as you can see, the atmospheric gauge
on the Ul and the one in IVA view show significantly different values. The bug doesn't seem to affect anything else than the gauges,
but is confirmed to be present in all IVA's.

History

#1 - 11/23/2015 10:44 AM - Squelch

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Version changed from 1.0.4 to 1.0.5

Thanks for reporting.

#3 - 02/23/2016 09:44 PM - Kasuha
- File screenshot0.png added

- File screenshot1.png added

- File screenshot2.png added

- File screenshot13.png added

- File screenshot14.png added

- File screenshot15.png added

Even the Ul atmospheric gauge works differently from pre-1.0 times.

Release 0.25:

4th tick - 12500 m, pressure 0.0842

10th tick - 32000 m, pressure 0.0016

16th tick - 52500 m, pressure "IN VACUUM"

Here it seems the gauge was scaled to track altitude and colors suggested corresponding pressure. 4th tick used to be where people did gravity turn,
10th tick used to be preferred altitude for spaceplanes to go horizontal and start reaching orbital speeds.

Release 1.0.5:

4th tick - 7500 m, pressure 28.617
10th tick - 19000 m, pressure 2.8291
16th tick - 50000 m, pressure 0.0143

Here the gauge and its colors don't quite say anything useful. Maybe the 50 km level might be considered good altitude for circularizing and pulling
the apoapsis out of the atmosphere as in orbital speeds there is no considerable reentry heat anymore, but the preceding two boundaries don't seem
to be useful for any purpose.

Things that might be nice to have indicated on the gauge would be parachute deployment pressure levels - 0.01 (min) and 0.75 (max)
#4 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
